This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 812409 - [as7] Resource config for 'Deployment' Resources is missing two required props
[as7] Resource config for 'Deployment' Resources is missing two required props
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-13 12:01 EDT by Ian Springer
Modified: 2013-09-04 03:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 03:48:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-04-13 12:01:16 EDT
{jboss-as-7}Deployment=java.lang.Exception: Resource config is not valid: [Required property 'content' was not set in Configuration[id=0]., Required property 'persistent' has a null value in Configuration[id=0].]}
Comment 1 Heiko W. Rupp 2012-04-18 07:55:03 EDT
This was no issue on the latest jenkins runs
Comment 2 Heiko W. Rupp 2012-04-18 08:22:11 EDT
Values are correctly returned
[7]:-58 > print
Resource[id=-58, uuid=d6ba9874-acf9-437d-86ad-e277dd3913ca, 
type={jboss-as-7}Deployment, key=deployment=test-simple.war, 
name=test-simple.war, parent=EAP (127.0.0.1:9990)]
[8]:-58 > rc
PropertyList[id=0, name=content, list=[PropertyMap[id=0, name=content, 
map={input-stream-index=PropertySimple[id=0, name=input-stream-index, value=, 
override=null], hash=PropertySimple[id=0, name=hash, value=, override=null], 
bytes=PropertySimple[id=0, name=bytes, value=, override=null], 
url=PropertySimple[id=0, name=url, value=, override=null], 
path=PropertySimple[id=0, name=path, value=deployments/test-simple.war, 
override=null], relative-to=PropertySimple[id=0, name=relative-to, 
value=jboss.server.base.dir, override=null], archive=PropertySimple[id=0, 
name=archive, value=true, override=null]}]]]
PropertySimple[id=0, name=enabled, value=true, override=null]
PropertySimple[id=0, name=name, value=test-simple.war, override=null]
PropertySimple[id=0, name=persistent, value=false, override=null]
PropertySimple[id=0, name=runtime-name, value=test-simple.war, override=null]

vs. 

[standalone@localhost:9999 deployment=test-simple.war] :read-resource
{
    "outcome" => "success",
    "result" => {
        "content" => [{
            "path" => "deployments/test-simple.war",
            "relative-to" => "jboss.server.base.dir",
            "archive" => true
        }],
        "enabled" => true,
        "name" => "test-simple.war",
        "persistent" => false,
        "runtime-name" => "test-simple.war",
        "subdeployment" => undefined,
        "subsystem" => {"web" => undefined}
    }
}
Comment 4 Heiko W. Rupp 2013-09-04 03:48:50 EDT
Bulk closing of some old issues

Note You need to log in before you can comment on or make changes to this bug.